Name:    confluent-librdkafka-plugins
Version: 0.11.3
Release: 2.cflt%{?dist}
%define soname 1

Summary: Confluent librdkafka plugins
Group:   Development/Libraries/C and C++
License: Apache
URL:     http://confluent.io
Source:  confluent-librdkafka-plugins-%{version}.tar.gz

BuildRequires: librdkafka-devel gcc >= 4.1 libuuid-devel protobuf-c-devel
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: libuuid
# Disable automatic dependency lookups since we don't want to
# depend on librdkafka which might be installed through other means.
AutoReqProv: no

%description
Confluent librdkafka plugins

%prep
%setup -q -n %{name}-%{version}

%configure

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
DESTDIR=%{buildroot} make install

%clean
rm -rf %{buildroot}

%post   -n %{name} -p /sbin/ldconfig
%postun -n %{name} -p /sbin/ldconfig

%files -n %{name}
%defattr(444,root,root)
%{_libdir}/monitoring-interceptor.a
%{_libdir}/monitoring-interceptor.so.%{soname}
%{_libdir}/monitoring-interceptor.so
%defattr(-,root,root)
%doc LICENSE LICENSES.txt LICENSE.nanopb



%changelog
* Fri Oct 06 2017 Magnus Edenhill <magnus@confluent.io>  0.0.2-0
- Remove librdkafka runtime dependency
- Remove soname package suffix

* Tue May 09 2017 Magnus Edenhill <magnus@confluent.io>  0.0.1-0
- Initial version
